import { Module, Project, ReferenceType, TypescriptExtractor } from ".";
import ts from "typescript";
export interface AliasedReference extends ReferenceType {
    alias?: string;
}
export interface ExportedElement {
    module: ReferenceType;
    namespace?: string;
    filename?: string;
    references: Array<AliasedReference>;
    sameModule: boolean;
    reExportsOfReExport?: string;
}
export interface FileExports {
    exports: Array<AliasedReference>;
    reExports: Array<ExportedElement>;
}
export declare function registerDirectReExport(project: Project, currentModule: Module, decl: ts.StringLiteral): void;
export declare function registerNamespaceReExport(project: Project, currentModule: Module, val: ts.Symbol): void;
export declare function registerDirectExport(fileName: string, currentModule: Module, ref: ReferenceType): void;
export declare function registerOtherExportOrReExport(project: Project, currentModule: Module, val: ts.Symbol): void;
export declare function resolveSourceFile(extractor: TypescriptExtractor, filePath: string, relative: string): ts.SourceFile | undefined;
export declare function addExport(module: Module, fileName: string, ex: AliasedReference): void;
export declare function addReExport(module: Module, fileName: string, origin: string, ex: ExportedElement): void;
//# sourceMappingURL=ExportHandler.d.ts.map