import ts from "typescript";
import { ReferenceType } from "./structure";
export interface ExternalReference {
    run: (symbol: string, source?: string, other?: string) => {
        link: string;
        displayName?: string;
        name?: string;
    } | undefined;
    baseName?: string;
}
export declare class ReferenceManager extends Map<ts.Symbol, ReferenceType> {
    namedExternals: Map<string, ExternalReference>;
    unnamedExternals: Array<ExternalReference>;
    constructor(externals?: Array<ExternalReference>);
    findUnnamedExternal(symbol: string, source?: string, other?: string): ReferenceType | undefined;
    findExternal(symbol: ts.Symbol, source?: string, realName?: string): ReferenceType | undefined;
    findByName(name: string): ReferenceType | undefined;
}
//# sourceMappingURL=ReferenceManager.d.ts.map