"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRefFromDecl = exports.createModule = void 0;
function createModule(name, path, isGlobal, repository, isNamespace) {
    return {
        name,
        repository,
        modules: new Map(),
        classes: [],
        functions: [],
        interfaces: [],
        types: [],
        enums: [],
        constants: [],
        isGlobal,
        isNamespace,
        exports: {},
        path,
        ref: {
            kind: 10,
            path,
            name
        }
    };
}
exports.createModule = createModule;
function createRefFromDecl(decl, module) {
    return {
        kind: 0,
        type: {
            name: decl.name,
            kind: decl.kind ?? 10,
            path: module.path,
            id: decl.id
        }
    };
}
exports.createRefFromDecl = createRefFromDecl;
